# SIPPing Class Reference

`#include <sippdu.h>`

Inheritance diagram for SIPPing:

[legend]
Collaboration diagram for SIPPing:
[legend]

## Public Member Functions

| SIPPing (SIPTransactionOwner &owner, OpalTransport &transport, const SIPURL &address)
virtual SIPTransaction * | CreateDuplicate () const

## Constructor & Destructor Documentation

SIPPing::SIPPing | ( | SIPTransactionOwner & | owner,
|  | OpalTransport & | transport,
|  | const SIPURL & | address |
| ) |  |  |

## Member Function Documentation

virtual SIPTransaction* SIPPing::CreateDuplicate | ( |  | ) | const`[virtual]`

Implements SIPTransaction.

The documentation for this class was generated from the following file:

- sippdu.h